> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/header.md).

# Header

## Feature Configuration

### Configuring a Header

Headers in Launcher 4 are now fully customizable using widgets, just like headers in Launcher 3. Each footer configuration is identified by a unique id and includes a layout object that defines its widget details as shown in the table below:

### Defining a Header Criteria

The criteria\_OR object specifies the conditions under which a specific header configuration should be applied. It consists of the following:

| Field   | Descriptio                                                                     |
| ------- | ------------------------------------------------------------------------------ |
| field   | <p>The field to evaluate for the criteria.<br>Example: \_${session.userId}</p> |
| pattern | <p>A regex pattern used to match the field value.<br>Example: ^\_$</p>         |

### Putting it All Together

In the following configuration, the `openzone` header widget will have a Login button, whereas the `securedzone` header widget will show session information and a Logout button. The qualifying criteria is the presence of a `${session.userId}`, which is only available when a user is successfully authenticated.

```json
"header": [
  {
    "id": "default_openzone",
    "layout": {
      "widgetId": "openzone-toolbar",
      "widgetType": "toolbar",
      "columnSpan": 4,
      "rowSpan": 1,
      "widgetParams": {
        "toolbarTitle": "Supermarket",
        "backgroundColor": "${launcherState.theme.accentColor}",
        "folderLabel": "Device Tools"
      }
    },
    "criteria_OR": [
      {
        "field": "_${session.userId}",
        "pattern": "^_$"
      }
    ]
  },
  {
    "id": "default_authorized",
    "layout": {
      "widgetId": "session-banner",
      "widgetType": "session",
      "columnSpan": 1,
      "rowSpan": 4,
      "widgetParams": {
        "heading": "${session.userName}",
        "subtitle1": "Store: ${config.ex.siteId}",
        "exitButtonText": "${res.launcher_base_launcher_button_logout}",
        "exitButtonColor": "${launcherState.theme.accentColor}",
        "backgroundColor": "#66C5FF"
      }
    },
    "criteria_OR": [
      {
        "field": "_${session.userId}",
        "pattern": "^_.+$"
      }
    ]
  }
],
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/header.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
